/**
 * DevExtreme (esm/integration/angular/action_executors.js)
 * Version: 23.1.3 (build 23187-0313)
 * Build date: Thu Jul 06 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import Action from "../../core/action";
import angular from "angular";
if (angular) {
    Action.registerExecutor({
        ngExpression: {
            execute: function(e) {
                if ("string" === typeof e.action) {
                    e.context.$eval(e.action)
                }
            }
        }
    })
}
